# Get all rate tables

Gets all the rate tables, whether the effective time of the rate table has been reached or not.

Endpoint: GET /provisioning/api/v1.1/rate-tables
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Query parameters:

  - `series` (string)
    Filter rate tables by series name. If provided, only rate tables matching this series will be returned. An empty string will match rate tables with an empty series value.

  - `latest` (boolean)
    If set to 'true', returns the latest effective rate table. If set to 'false' or not provided, returns all matching rate tables.

## Response 200:

  - `200` (unknown)
    Rate tables with all their details were successfully returned.

## Response 200 fields (application/json):

  - `created` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the rate table was created.

  - `effectiveFrom` (integer)
    The date and time, in milliseconds since 1970-01-01 00:00 UTC, when the rate table starts to take effect.

  - `series` (string)
    A means of grouping similar rate tables of different versions.

  - `version` (string)
    The version of this rate table.

  - `items` (array)
    List of rate table items.

  - `items.name` (string, required)
    Name of the item.

  - `items.version` (string)
    Version of the item.

  - `items.rate` (number, required)
    Rate of the item. The value can be fractional.

  - `items.formula` (string)
    A spreadsheet-style formula used to calculate the number of elastic tokens required for this item.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

